Bug 474441 - Firefox sets /usr/lib/firefox-3.0.4/firefox as default launcher
Firefox sets /usr/lib/firefox-3.0.4/firefox as default launcher
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox (Show other bugs)
5.2
i386 Linux
low Severity high
: ---
: ---
Assigned To: Jan Horak
desktop-bugs@redhat.com
CentOS
: Reopened
Depends On:
Blocks: 474461
  Show dependency treegraph
 
Reported: 2008-12-03 15:56 EST by Heiko Adams
Modified: 2010-11-01 15:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-16 02:45:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko Adams 2008-12-03 15:56:19 EST
Description of problem:
When launching Firefox by using "/usr/lib/firefox-3.0.4/firefox" as command no plugins from /usr/lib/mozilla/plugins are listed in firefox addons-manager.

Version-Release number of selected component (if applicable):
firefox-3.0.4-1.el5.centos
xulrunner-1.9.0.4-1.el5

How reproducible:
allways

Steps to Reproduce:
1. Open a shell
2. Enter "/usr/lib/firefox-3.0.4/firefox" as command
3. Open Firefox addons-manager
  
Actual results:
No plugins from /usr/lib/mozilla/plugins are listed

Expected results:
Plugins from /usr/lib/mozilla/plugins should be listed as well as plugins installed in the profile folder

Additional info:
"/usr/lib/firefox-3.0.4/firefox" is the command which firefox sets when answering the question for setting FF as default browser with "yes"
Comment 1 Heiko Adams 2008-12-03 16:11:24 EST
The Problem also occours when launching firefox by using the htmlview command
Comment 2 Matěj Cepl 2008-12-04 06:01:50 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Martin Stransky 2008-12-04 06:34:08 EST
Well, it's simple...run it by /usr/bin/firefox.
Comment 4 Heiko Adams 2008-12-04 12:23:08 EST
"/usr/lib/firefox-3.0.4/firefox" is the command which firefox sets when
answering the question for setting FF as default browser with "yes". And this is also the path wich htmlview uses for launching Firefox.
Comment 5 Heiko Adams 2008-12-04 12:23:42 EST
bash-3.2$ rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*
xfce4-xfapplet-plugin-0.1.0-1.el5.centos
xfce4-genmon-plugin-3.1-1.el5.centos
xfce4-netload-plugin-0.4.0-4.el5.centos
xfce4-systemload-plugin-0.4.2-1.el5.centos
xulrunner-1.9.0.4-1.el5
pidgin-plugin_pack-2.0.0-1.el5.rf
xfce4-dict-plugin-0.2.1-1.el5.centos
xfce4-eyes-plugin-4.4.0-1.el5.centos
gstreamer-plugins-base-devel-0.10.9-6.el5
xfce-mcs-plugins-4.4.2-1.el5.centos
xfce4-places-plugin-1.0.0-2.el5.centos
gstreamer-plugins-ugly-0.10.5-3.el5.rf
xfce4-mount-plugin-0.5.1-1.el5.centos
xfce4-cpugraph-plugin-0.4.0-2.el5.centos
xfce4-smartbookmark-plugin-0.4.2-4.el5.centos
firefox-3.0.4-1.el5.centos
purple-plugin_pack-2.0.0-1.el5.rf
thunar-archive-plugin-0.2.4-2.el5.centos
gstreamer-plugins-good-0.10.4-4.el5
xfce4-wavelan-plugin-0.5.4-1.el5.centos
xfce4-diskperf-plugin-2.1.0-2.el5.centos
xfce4-clipman-plugin-0.8.0-1.el5.centos
xfce4-fsguard-plugin-0.4.0-2.el5.centos
xfce4-datetime-plugin-0.5.0-2.el5.centos
xfce4-notes-plugin-1.6.0-2.el5.centos
xfce4-weather-plugin-0.6.2-2.el5.centos
xfce4-battery-plugin-0.5.0-1.el5.centos
gstreamer-plugins-bad-0.10.3-8.el5.rf
xulrunner-devel-1.9.0.4-1.el5
xfce4-screenshooter-plugin-1.0.0-4.el5.centos
xfce4-timer-plugin-0.5.1-1.el5.centos
xfce4-minicmd-plugin-0.4-6.el5.centos.1
xfce4-websearch-plugin-0.1.1-0.6.20070428svn2704.el5.centos
xfce4-quicklauncher-plugin-1.9.4-1.el5.centos
flash-plugin-10.0.12.36-release
gstreamer-plugins-base-0.10.9-6.el5
xfce4-xkb-plugin-0.4.3-1.el5.centos
xfce4-mailwatch-plugin-1.0.1-5.el5.centos
xfce4-sensors-plugin-0.10.99.2-3.el5.centos
Comment 6 Martin Stransky 2008-12-05 02:36:52 EST
Aha, we need to fix the default launcher then from /usr/lib/firefox-3.0.4/firefox to /usr/bin/firefox or maybe disable the default browser check...
Comment 7 Jan Horak 2008-12-12 08:06:56 EST
Proposed patch in bug #474461. Function g_find_program_in_path is used to determine right firefox execution script location.
Comment 8 Jan Horak 2008-12-16 02:45:30 EST
See https://bugzilla.mozilla.org/show_bug.cgi?id=469648. Closing as upstream.

Note You need to log in before you can comment on or make changes to this bug.